Installer - Feature #4700

Deploy Puppet environmentpath and environment config files
03/19/2014 09:04 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Foreman modules
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pu
ppet/pull/165

Description

Puppet 3.5 added support for an environmentpath (very much like our own default /etc/puppet/environments/) and 3.6 adds an
environment.conf to configure the modulepath etc within each environment.

The installer should support deploying environments this style when possible, as it'll be the only option in Puppet 4.

https://groups.google.com/d/msg/puppet-dev/2QDi2ThnRJQ/EWrFJXa92i8J
https://tickets.puppetlabs.com/browse/PUP-1596

Related issues:
Related to Smart Proxy - Feature #4699: Support Puppet environmentpath and en... Closed 03/19/2014

Associated revisions

Revision 23978618 - 07/28/2014 07:32 AM - Dominic Cleal
fixes #4700 - deploy directory environments on Puppet 3.6 or higher

- $server_dynamic_environments is deprecated when server_directory_environments
is enabled, set $server_environments = [] instead for a similar effect

- environment.conf deployed if custom manifest, config_version etc supplied to
puppet::server::env instead of puppet.conf fragment

- basemodulepath set in puppet.conf to the value of server_common_modules_path,
which had /etc/puppet/modules added to match the new Puppet default

- $environment_timeout added to puppet::server::env

History

#1 - 05/23/2014 03:07 PM - Dominic Cleal
- Status changed from New to Ready For Testing

First part is up here: https:/github.com/theforeman/puppet-puppet/pull/158
There are some further changes | noticed in the PR comments that need implementing, and finally we need to change the default to 'true’ on Puppet

3.6+.

#2 - 05/23/2014 03:07 PM - Dominic Cleal

- Related to Feature #4699: Support Puppet environmentpath and environment config files added

#3 - 07/23/2014 08:48 AM - Dominic Cleal

- Assignee set to Dominic Cleal

- Target version set to 1.8.0

- translation missing: en.field_release set to 10

- Pull request https://github.com/theforeman/puppet-puppet/pull/165 added

#4 - 07/28/2014 08:01 AM - Dominic Cleal
https://groups.google.com/d/msg/puppet-dev/2QDi2ThnRJQ/EWrFJXa92i8J
https://tickets.puppetlabs.com/browse/PUP-1596
https://github.com/theforeman/puppet-puppet/pull/158

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset - 2397861891ef9b54 fb435731cbfcad39.
